program ncmp;

uses
  testlib, sysutils;

function ending(x: longint): string;
begin
  x := x mod 100;
  if x div 10 = 1 then
    ending := 'th'
  else
    case x mod 10 of
      1: ending := 'st';
      2: ending := 'nd';
      3: ending := 'rd';
      else
        ending := 'th';
    end;
end;

var
  j, p: string;
  n: integer;
begin
  n := 0;
  while not ans.seekeof do
  begin
    inc(n);
    j := ans.readword(blanks, blanks);
    p := ouf.readword(blanks, blanks);

    if j <> p then
         quit(_wa, inttostr(n) + ending(n) + ' numbers differ - expected: "' + j +
        '", found: "' + p + '"');
  end;
   quit(_ok, inttostr(n) + ' numbers');
end.
